package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.weapons.MagicStaff;
import org.project.item.weapons.Weapon;


public class Wizard extends Player {

    private static final int maxHP = 150;
    private static final int maxMP = 85;

    public Wizard(String name){
        Weapon WizardWeapon = new MagicStaff();
        super(name, maxHP, maxMP, WizardWeapon);
        specialAbilityMP = 28;
    }

    @Override
    public void lightAttack(Entity target) {
        super.lightAttack(target);
        System.out.printf("\t%s used Light Attack! (%d Mana)\n", name, 0);
        target.takeDamage(16);
    }


    @Override
    public void specialAbility(Entity target) {
        System.out.printf("\t%s used Special Ability! Casting spell. \uD83E\uDE84 (%d Mana)\n", name, 28);
        target.takeDamage(32); // casts spell
        this.mp -= specialAbilityMP;
        heal(15);
    }
}
